using Kingdee.BOS.Core.Bill.PlugIn;
using Kingdee.BOS.Core.DynamicForm;
using Kingdee.BOS.Core.DynamicForm.PlugIn.Args;
using Kingdee.BOS.Core.List;
using Kingdee.BOS.Core.List.PlugIn;
using Kingdee.BOS.Core.Metadata.EntityElement;
using Kingdee.BOS.Orm.DataEntity;
using Kingdee.BOS.Util;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace LQKJ.K3.NDR.NewReportPlugIn
{
    [HotUpdate,Description("打开动态表单")]
   public class DynamicReport:AbstractListPlugIn
    {
        //public static Object msg;  
        public override void BeforeBindData(EventArgs e)
        {
            this.View.Model.SetValue("F_LQKJ_YM", DateTime.Now.ToString("yyyyMM"));
            base.BeforeBindData(e);
        }
        public override void BarItemClick(BarItemClickEventArgs e)
        {
            base.BarItemClick(e);
            if (e.BarItemKey.Equals("LQKJ_tbButton_8"))
            {
                DynamicFormShowParameter formPa = new DynamicFormShowParameter();
                formPa.FormId = "LQKJ_SFKZ";
                this.View.ShowForm(formPa);
                
            }
        }
    }
}
